Bug 1860647 - Review Request: hexchat-autoaway - HexChat plugin that automatically mark you away
Summary: Review Request: hexchat-autoaway - HexChat plugin that automatically mark yo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Robert-André Mauchin 🐧
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-26 07:58 UTC by Ding-Yi Chen
Modified: 2020-10-15 15:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-15 15:32:21 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Ding-Yi Chen 2020-07-26 07:58:30 UTC
Spec URL: https://dchen.fedorapeople.org/files/rpms/hexchat-autoaway.spec
SRPM URL: https://dchen.fedorapeople.org/files/rpms/hexchat-autoaway-2.0-1.el8.src.rpm
Description: 
This HexChat plugin will automatically mark you away when your
computer is idle. It works on systems that use the GTK+ X11
backend, such as GNU/Linux.

Fedora Account System Username: dchen

Comment 1 Robert-André Mauchin 🐧 2020-08-25 16:31:05 UTC
 - Consider giving a more explicit name to your patch (by appending #/name-of-the-patch.patch for example)

 - Consider adding a comment above the patch to explain what it is doing.

 - Please use the new CMake out of source building: https://fedoraproject.org/wiki/Changes/CMake_to_do_out-of-source_builds

BuildRequires:  cmake

[…]

%build
%{cmake}
%cmake_build

%install
%cmake_install

(Use cmake3 if you want EPEL7 compatibility, otherwise just use %cmake)

 - Add an explicit BR for cmake

BuildRequires:  cmake

 - Add an explicit BR for gcc-c++

BuildRequires:  gcc-c++

 - Don't mix tabs and spaces:

hexchat-autoaway.src:1: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 1) 

i.e. no tabs on line 1 and line 11.





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[!]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License v3.0 or
     later". 3 files have unknown license. Detailed output of licensecheck
     in /home/bob/packaging/review/hexchat-autoaway/review-hexchat-
     autoaway/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: hexchat-autoaway-2.0-1.fc34.x86_64.rpm
          hexchat-autoaway-debuginfo-2.0-1.fc34.x86_64.rpm
          hexchat-autoaway-debugsource-2.0-1.fc34.x86_64.rpm
          hexchat-autoaway-2.0-1.fc34.src.rpm
hexchat-autoaway.src:1: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 1)
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 2 Ding-Yi Chen 2020-09-07 04:34:21 UTC
Spec URL: https://dchen.fedorapeople.org/files/rpms/hexchat-autoaway.spec
SRPM URL: https://dchen.fedorapeople.org/files/rpms/hexchat-autoaway-2.0-2.el8.src.rpm


 - Consider giving a more explicit name to your patch (by appending #/name-of-the-patch.patch for example)
 - Consider adding a comment above the patch to explain what it is doing.
   The patch is generated by GitHub pull request. Thus the filename is <pull-request-id>.patch
   To make up for it, I put the summary of the patch as comment in spec.


 - Please use the new CMake out of source building: https://fedoraproject.org/wiki/Changes/CMake_to_do_out-of-source_builds
   So far, my EL8 box does not have all the macros. I have to use: 

   %{?!_vpath_builddir:%define _vpath_builddir %{_target_platform}} and mkdir -p %_vpath_builddir

 - (Use cmake3 if you want EPEL7 compatibility, otherwise just use %cmake)
   Done

 - Add an explicit BR for cmake
   Done

 - Add an explicit BR for gcc-c++
   Done

 - Don't mix tabs and spaces:
   Fixed

Comment 3 Robert-André Mauchin 🐧 2020-09-08 17:32:59 UTC
>> - Consider adding a comment above the patch to explain what it is doing.
>  The patch is generated by GitHub pull request. Thus the filename is <pull-request-id>.patch
>   To make up for it, I put the summary of the patch as comment in spec.

You can rename any file you like by adding #/ at the end:

## Upstream PR#3 "feat(away-nick-suffix): append away suffix to nickname"
Patch0:         https://patch-diff.githubusercontent.com/raw/andreyv/hexchat-autoaway/pull/3.patch#/0001-append-away-suffix-to-nickname.patch


Package approved.

Comment 4 Ding-Yi Chen 2020-09-18 07:14:53 UTC
Thanks you, Robert-Andre.


#fedpkg request-repo hexchat-autoaway 1860647 
https://pagure.io/releng/fedora-scm-requests/issue/29137

Comment 5 Gwyn Ciesla 2020-09-18 13:32:09 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/hexchat-autoaway

Comment 6 Fedora Update System 2020-10-08 01:31:25 UTC
FEDORA-EPEL-2020-d6d3c26122 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d6d3c26122

Comment 7 Fedora Update System 2020-10-15 15:32:21 UTC
FEDORA-EPEL-2020-d6d3c26122 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.